Skip to content

Intra-hub network links

Get intra hub network link details

GET /sympheny-app/scenarios/intra-hub-network-links/{guid}

Requires a Bearer token. SDK method: client.intra_hub_network_links.get().

Parameters

Name In Type Required Description
guid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/intra-hub-network-links/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoIntraHubNetworkLinkResponseDto

Example response (200)

{
  "data": {
    "intraHubNetworkLinkGuid": "string",
    "name": "string",
    "networkLoss": 0.0,
    "fixedEmbodiedCo2": 0.0,
    "inputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "outputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "hubs": [
      {
        "hubGuid": "string",
        "hubName": "string",
        "updated": "2026-01-01T00:00:00Z",
        "created": "2026-01-01T00:00:00Z"
      }
    ],
    "advancedCostComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "stages": [
      "00000000-0000-0000-0000-000000000000"
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}
DELETE /sympheny-app/scenarios/intra-hub-network-links/{guid}

Requires a Bearer token. SDK method: client.intra_hub_network_links.delete().

Parameters

Name In Type Required Description
guid path string yes

Example request

curl -X DELETE "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/intra-hub-network-links/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoIntraHubNetworkLinkListResponseDto

Example response (200)

{
  "data": {
    "intraHubNetworkLinks": [
      {
        "intraHubNetworkLinkGuid": "string",
        "name": "string",
        "networkLoss": 0.0,
        "fixedEmbodiedCo2": 0.0,
        "inputEnergyCarrier": {
          "energyCarrierGuid": "string",
          "typeKey": "string",
          "typeDisplayName": "string",
          "subtypeKey": "string",
          "subtypeDisplayName": "string",
          "energyCarrierName": "string",
          "colorHexCode": "string",
          "fixedInputShare": 0.0,
          "outputEfficiency": 0.0,
          "customOutputEfficiencyActivated": true,
          "customInputEfficiencyActivated": true,
          "customSeasonalityValues": [
            {
              "month": "JANUARY",
              "value": 0.0
            }
          ],
          "outputEfficiencyProfileId": 0,
          "created": "2026-01-01T00:00:00Z",
          "primary": true
        },
        "outputEnergyCarrier": {
          "energyCarrierGuid": "string",
          "typeKey": "string",
          "typeDisplayName": "string",
          "subtypeKey": "string",
          "subtypeDisplayName": "string",
          "energyCarrierName": "string",
          "colorHexCode": "string",
          "fixedInputShare": 0.0,
          "outputEfficiency": 0.0,
          "customOutputEfficiencyActivated": true,
          "customInputEfficiencyActivated": true,
          "customSeasonalityValues": [
            {
              "month": "JANUARY",
              "value": 0.0
            }
          ],
          "outputEfficiencyProfileId": 0,
          "created": "2026-01-01T00:00:00Z",
          "primary": true
        },
        "hubs": [
          {
            "hubGuid": "string",
            "hubName": "string",
            "updated": "2026-01-01T00:00:00Z",
            "created": "2026-01-01T00:00:00Z"
          }
        ],
        "advancedCostComponents": [
          {
            "name": "string",
            "value": 0.0,
            "category": "string",
            "lifetime": 0.0,
            "interestRate": 0.0,
            "length": 0.0,
            "complexityFactor": 0.0,
            "dataPoints": 0.0,
            "numberOfPumps": 0.0,
            "guid": "string",
            "categoryId": "string"
          }
        ],
        "created": "2026-01-01T00:00:00Z",
        "updated": "2026-01-01T00:00:00Z",
        "stages": [
          "00000000-0000-0000-0000-000000000000"
        ]
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}
GET /sympheny-app/scenarios/{scenarioGuid}/intra-hub-network-links

Requires a Bearer token. SDK method: client.intra_hub_network_links.list().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/intra-hub-network-links" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoIntraHubNetworkLinkListResponseDto

Example response (200)

{
  "data": {
    "intraHubNetworkLinks": [
      {
        "intraHubNetworkLinkGuid": "string",
        "name": "string",
        "networkLoss": 0.0,
        "fixedEmbodiedCo2": 0.0,
        "inputEnergyCarrier": {
          "energyCarrierGuid": "string",
          "typeKey": "string",
          "typeDisplayName": "string",
          "subtypeKey": "string",
          "subtypeDisplayName": "string",
          "energyCarrierName": "string",
          "colorHexCode": "string",
          "fixedInputShare": 0.0,
          "outputEfficiency": 0.0,
          "customOutputEfficiencyActivated": true,
          "customInputEfficiencyActivated": true,
          "customSeasonalityValues": [
            {
              "month": "JANUARY",
              "value": 0.0
            }
          ],
          "outputEfficiencyProfileId": 0,
          "created": "2026-01-01T00:00:00Z",
          "primary": true
        },
        "outputEnergyCarrier": {
          "energyCarrierGuid": "string",
          "typeKey": "string",
          "typeDisplayName": "string",
          "subtypeKey": "string",
          "subtypeDisplayName": "string",
          "energyCarrierName": "string",
          "colorHexCode": "string",
          "fixedInputShare": 0.0,
          "outputEfficiency": 0.0,
          "customOutputEfficiencyActivated": true,
          "customInputEfficiencyActivated": true,
          "customSeasonalityValues": [
            {
              "month": "JANUARY",
              "value": 0.0
            }
          ],
          "outputEfficiencyProfileId": 0,
          "created": "2026-01-01T00:00:00Z",
          "primary": true
        },
        "hubs": [
          {
            "hubGuid": "string",
            "hubName": "string",
            "updated": "2026-01-01T00:00:00Z",
            "created": "2026-01-01T00:00:00Z"
          }
        ],
        "advancedCostComponents": [
          {
            "name": "string",
            "value": 0.0,
            "category": "string",
            "lifetime": 0.0,
            "interestRate": 0.0,
            "length": 0.0,
            "complexityFactor": 0.0,
            "dataPoints": 0.0,
            "numberOfPumps": 0.0,
            "guid": "string",
            "categoryId": "string"
          }
        ],
        "created": "2026-01-01T00:00:00Z",
        "updated": "2026-01-01T00:00:00Z",
        "stages": [
          "00000000-0000-0000-0000-000000000000"
        ]
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Update intra hub network link v2

PUT /sympheny-app/v2/scenarios/intra-hub-network-links/{guid}

Requires a Bearer token. SDK method: client.intra_hub_network_links.update().

Parameters

Name In Type Required Description
guid path string yes

Request body (IntraHubNetworkLinkResponseDto)

Field Type Required Description
intraHubNetworkLinkGuid string, nullable no
name string yes
networkLoss number, nullable no
fixedEmbodiedCo2 number, nullable no
inputEnergyCarrier EnergyCarrierResponseDto yes
outputEnergyCarrier EnergyCarrierResponseDto yes
hubs array of HubResponseDto yes
advancedCostComponents array of AdvancedCostComponentResponseDto yes
created string (date-time), nullable no
updated string (date-time), nullable no
stages array of string (uuid) yes

Example request

curl -X PUT "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/intra-hub-network-links/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "intraHubNetworkLinkGuid": "string",
  "name": "string",
  "networkLoss": 0.0,
  "fixedEmbodiedCo2": 0.0,
  "inputEnergyCarrier": {
    "energyCarrierGuid": "string",
    "typeKey": "string",
    "typeDisplayName": "string",
    "subtypeKey": "string",
    "subtypeDisplayName": "string",
    "energyCarrierName": "string",
    "colorHexCode": "string",
    "fixedInputShare": 0.0,
    "outputEfficiency": 0.0,
    "customOutputEfficiencyActivated": true,
    "customInputEfficiencyActivated": true,
    "customSeasonalityValues": [
      {
        "month": "JANUARY",
        "value": 0.0
      }
    ],
    "outputEfficiencyProfileId": 0,
    "created": "2026-01-01T00:00:00Z",
    "primary": true
  },
  "outputEnergyCarrier": {
    "energyCarrierGuid": "string",
    "typeKey": "string",
    "typeDisplayName": "string",
    "subtypeKey": "string",
    "subtypeDisplayName": "string",
    "energyCarrierName": "string",
    "colorHexCode": "string",
    "fixedInputShare": 0.0,
    "outputEfficiency": 0.0,
    "customOutputEfficiencyActivated": true,
    "customInputEfficiencyActivated": true,
    "customSeasonalityValues": [
      {
        "month": "JANUARY",
        "value": 0.0
      }
    ],
    "outputEfficiencyProfileId": 0,
    "created": "2026-01-01T00:00:00Z",
    "primary": true
  },
  "hubs": [
    {
      "hubGuid": "string",
      "hubName": "string",
      "updated": "2026-01-01T00:00:00Z",
      "created": "2026-01-01T00:00:00Z"
    }
  ],
  "advancedCostComponents": [
    {
      "name": "string",
      "value": 0.0,
      "category": "string",
      "lifetime": 0.0,
      "interestRate": 0.0,
      "length": 0.0,
      "complexityFactor": 0.0,
      "dataPoints": 0.0,
      "numberOfPumps": 0.0,
      "guid": "string",
      "categoryId": "string"
    }
  ],
  "created": "2026-01-01T00:00:00Z",
  "updated": "2026-01-01T00:00:00Z",
  "stages": [
    "00000000-0000-0000-0000-000000000000"
  ]
}'

Responses

Status Description Schema
200 OK ResponseDtoIntraHubNetworkLinkResponseDto

Example response (200)

{
  "data": {
    "intraHubNetworkLinkGuid": "string",
    "name": "string",
    "networkLoss": 0.0,
    "fixedEmbodiedCo2": 0.0,
    "inputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "outputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "hubs": [
      {
        "hubGuid": "string",
        "hubName": "string",
        "updated": "2026-01-01T00:00:00Z",
        "created": "2026-01-01T00:00:00Z"
      }
    ],
    "advancedCostComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "stages": [
      "00000000-0000-0000-0000-000000000000"
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Specify intra hub network link v2

POST /sympheny-app/v2/scenarios/{scenarioGuid}/intra-hub-network-links

Requires a Bearer token. SDK method: client.intra_hub_network_links.create().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Request body (IntraHubNetworkLinkRequestDto)

Field Type Required Description
name string yes
networkLoss number, nullable no
fixedEmbodiedCo2 number, nullable no
inputEnergyCarrierGuid string yes
outputEnergyCarrierGuid string yes
hubGuids array of string yes
advancedCostComponents array of AdvancedCostComponentRequestDto, nullable no
stages array of string (uuid) yes

Example request

curl -X POST "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/{scenarioGuid}/intra-hub-network-links" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "networkLoss": 0.0,
  "fixedEmbodiedCo2": 0.0,
  "inputEnergyCarrierGuid": "string",
  "outputEnergyCarrierGuid": "string",
  "hubGuids": [
    "string"
  ],
  "advancedCostComponents": [
    {
      "name": "string",
      "value": 0.0,
      "category": "string",
      "lifetime": 0.0,
      "interestRate": 0.0,
      "length": 0.0,
      "complexityFactor": 0.0,
      "dataPoints": 0.0,
      "numberOfPumps": 0.0
    }
  ],
  "stages": [
    "00000000-0000-0000-0000-000000000000"
  ]
}'

Responses

Status Description Schema
201 Created ResponseDtoIntraHubNetworkLinkResponseDto

Example response (201)

{
  "data": {
    "intraHubNetworkLinkGuid": "string",
    "name": "string",
    "networkLoss": 0.0,
    "fixedEmbodiedCo2": 0.0,
    "inputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "outputEnergyCarrier": {
      "energyCarrierGuid": "string",
      "typeKey": "string",
      "typeDisplayName": "string",
      "subtypeKey": "string",
      "subtypeDisplayName": "string",
      "energyCarrierName": "string",
      "colorHexCode": "string",
      "fixedInputShare": 0.0,
      "outputEfficiency": 0.0,
      "customOutputEfficiencyActivated": true,
      "customInputEfficiencyActivated": true,
      "customSeasonalityValues": [
        {
          "month": "JANUARY",
          "value": 0.0
        }
      ],
      "outputEfficiencyProfileId": 0,
      "created": "2026-01-01T00:00:00Z",
      "primary": true
    },
    "hubs": [
      {
        "hubGuid": "string",
        "hubName": "string",
        "updated": "2026-01-01T00:00:00Z",
        "created": "2026-01-01T00:00:00Z"
      }
    ],
    "advancedCostComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "stages": [
      "00000000-0000-0000-0000-000000000000"
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}